%define name grafburn
%define version 0.10.92
%define release %mkrel 5
%define title GrafBurn

Summary:	CD/DVD Burner
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Archiving/Cd burning
Url:		http://www.grafpup.org/packages
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	gksu
Requires:	cdrkit
Requires:	cdrkit-genisoimage
Requires:	gtkdialog
Requires:	mrxvt
Requires:	cdburner-wizard
BuildArch:      i586

%description
CD/DVD burner by Nathan Fisher, originally created for Puppy Linux. Grafburn is a simple set of shell scripts that create a gui around cdrtools, making it possible to easily create and burn data and audio cd's and dvd's. It is intended to be small, simple, and easy to navigate, while providing an interface to the most common burning tasks.

With Grafburn you can:
	-Create data cd's or dvd's
	-Burn already existing iso images
	-Blank cd and dvd media
	-Create and encode audio cd's (ogg, mp3, or wav supported, flac, ape, m4a, aac, and mp4 when the right -extra packages are installed)
	-Create audio cd's using a cue or toc file (if cdrdao is installed)
	-Directly copy cd's or dvd's from one drive to another
	-Append data to a multisession disk

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_bindir/GrafBurn/icons/big
mkdir -p $RPM_BUILD_ROOT%_datadir/applications
mkdir -p $RPM_BUILD_ROOT%_datadir/doc
install -m 755 grafburn-launch $RPM_BUILD_ROOT%_bindir/grafburn
install -m 755 about $RPM_BUILD_ROOT%_bindir/GrafBurn/about
install -m 755 append_tracks $RPM_BUILD_ROOT%_bindir/GrafBurn/append_tracks
install -m 755 AppRun $RPM_BUILD_ROOT%_bindir/GrafBurn/AppRun
install -m 755 blank_media $RPM_BUILD_ROOT%_bindir/GrafBurn/blank_media
install -m 755 burn_file_list $RPM_BUILD_ROOT%_bindir/GrafBurn/burn_file_list
install -m 755 burn_iso $RPM_BUILD_ROOT%_bindir/GrafBurn/burn_iso
install -m 755 chooser $RPM_BUILD_ROOT%_bindir/GrafBurn/chooser
install -m 755 copy_cd $RPM_BUILD_ROOT%_bindir/GrafBurn/copy_cd
install -m 755 create_audio_cd $RPM_BUILD_ROOT%_bindir/GrafBurn/create_audio_cd
install -m 755 create_iso $RPM_BUILD_ROOT%_bindir/GrafBurn/create_iso
install -m 755 encode_tracks $RPM_BUILD_ROOT%_bindir/GrafBurn/encode_tracks
install -m 666 AppInfo.xml $RPM_BUILD_ROOT%_bindir/GrafBurn/AppInfo.xml
install -m 666 gpl.txt $RPM_BUILD_ROOT%_bindir/GrafBurn/gpl.txt
install -m 755 grafburn $RPM_BUILD_ROOT%_bindir/GrafBurn/grafburn
install -m 755 set_prefs $RPM_BUILD_ROOT%_bindir/GrafBurn/set_prefs
install -m 755 burniso.desktop $RPM_BUILD_ROOT%_datadir/applications/burniso.desktop
install -m 755 Grafburn.desktop $RPM_BUILD_ROOT%_datadir/applications/Grafburn.desktop
install -m 666 grafburn.html $RPM_BUILD_ROOT%_datadir/doc/grafburn.html
install -m 666 convert_grafburn_to_pclos.txt $RPM_BUILD_ROOT%_datadir/doc/convert_grafburn_to_pclos.txt
install -m 666 audio-volume-medium.png $RPM_BUILD_ROOT%_bindir/GrafBurn/icons/audio-volume-medium.png
install -m 666 drive-optical-small.png $RPM_BUILD_ROOT%_bindir/GrafBurn/icons/drive-optical.png
install -m 666 drive-optical-big.png $RPM_BUILD_ROOT%_bindir/GrafBurn/icons/big/drive-optical.png
install -m 666 grafburn.png $RPM_BUILD_ROOT%_bindir/GrafBurn/icons/big/grafburn.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/grafburn
%_bindir/GrafBurn/about
%_bindir/GrafBurn/append_tracks
%_bindir/GrafBurn/AppRun
%_bindir/GrafBurn/blank_media
%_bindir/GrafBurn/burn_file_list
%_bindir/GrafBurn/burn_iso
%_bindir/GrafBurn/chooser
%_bindir/GrafBurn/copy_cd
%_bindir/GrafBurn/create_audio_cd
%_bindir/GrafBurn/create_iso
%_bindir/GrafBurn/encode_tracks
%_bindir/GrafBurn/AppInfo.xml
%_bindir/GrafBurn/gpl.txt
%_bindir/GrafBurn/grafburn
%_bindir/GrafBurn/set_prefs
%_datadir/applications/burniso.desktop
%_datadir/applications/Grafburn.desktop
%_datadir/doc/grafburn.html
%_datadir/doc/convert_grafburn_to_pclos.txt
%_bindir/GrafBurn/icons/audio-volume-medium.png
%_bindir/GrafBurn/icons/drive-optical.png
%_bindir/GrafBurn/icons/big/drive-optical.png
%_bindir/GrafBurn/icons/big/grafburn.png

%changelog
* Wed Sep 05 2007 Texstar <texstar@gmail.com> 0.10.92-5pclos2007
- fix synaptic group
- use macros for /usr/bin etc...

* Mon Aug 06 2007 KDulcimer <kdulcimer@gmail.com> 0.10.92-4pclos2007
- Forgot to patch code of set_prefs
- Added dependency on gksu

* Fri Aug 04 2007 KDulcimer <kdulcimer@gmail.com> 0.10.92-3pclos2007
- Corrected location of grafburn.html file from %_datadir/docs to %_datadir/doc
- changed all references in code of rxvt to mrxvt and changed dependency to mrxvt

* Thu Aug 02 2007 KDulcimer <kdulcimer@gmail.com> 0.10.92-2pclos2007
- Added Puppy's cdburner-wizard dependency.
- Corrected .desktop files.

* Tue Jul 31 2007 KDulcimer <kdulcimer@gmail.com> 0.10.92-1pclos2007
- Initial build for TinyMe. Heavy modifications made to the tarball to make
- it better conform to standard Linux filesystem layout and to ease packaging.
